* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    height: 100%;
}
body {
    min-height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Roboto', sans-serif;
}
main {
    width: 26rem;
    height: 44rem;
    border-radius: 40px;
    background-color: #000;
    padding: 1.2rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1.2fr repeat(6, 1fr);
    gap: 1rem;
}
.screen {
    grid-area: 1 / 1 / 3 / 5;
    color: #FEFEFE;
    font-size: 5rem;
    text-align: right;
    margin-top: auto;
    margin-bottom: 0.5rem;
    overflow: hidden;
}
button {
    border-radius: 50%;
    border: none;
    font-size: 2rem;
    transition: all ease-in-out 200ms;
}
button:hover {
    opacity: 0.5;
}
.zero {
    grid-column: 1/3;
    border-radius: 50px;
    text-align: left;
    padding-left: 2rem;
}
.fa-solid {
    font-size: 1.6rem
}
.grey {
    background-color: #A5A5A5;
}
.orange {
    background-color: #F29E4B;
    color: #FEFEFE;
}
.dark {
    background-color: #333333;
    color: #FEFEFE;
    font-size: 2.4rem;
}
.grey:active, .orange:active, .dark:active {
    opacity: 0.45;
}

@media screen and (max-width: 430px) {
    main {
        width: 22rem;
        height: 38rem;
    }
    .screen {
        font-size: 4rem;
    }
    button {
        font-size: 1.7rem;
    }
    .dark {
        font-size: 2rem;
    }
    .fa-solid {
        font-size: 1.4rem;
    }
    .zero {
        padding-left: 1.5rem;
    }
}

@media screen and (max-width: 360px) {
    main {
        width: 17.4rem;
        height: 30rem;
    }
    .screen {
        font-size: 3rem;
    }
    button {
        font-size: 1.5rem;
    }
    .dark {
        font-size: 1.8rem;
    }
    .fa-solid {
        font-size: 1.2rem;
    }
    .zero {
        padding-left: 1rem;
    }
}